Shapefile exported from Version 2.8.1 is Unreadable to ARCMAP

2015-04-22 04:51 PM - Marc Hurst

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20742

Description

Shapefile exported by Layer->Save As, Format ESRI Shapefile, Encoding System, cannot be read by ArcMap.

The shapefile can be read by QGIS Versions 2.8.1 or 2.4.0; however ArcMap does not recognize it.

The same shapefile exported from Version 2.4.0 is readable by ArcMap.

History

#1 - 2015-04-24 08:00 AM - Alexandre Neto

Cannot confirm this behaviour using QGIS 2.8.1 and ArcMap 10.2.

Can you provide a sample of your data? What was the choosen encoding?

#2 - 2015-04-25 12:38 PM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

- Status changed from Open to Feedback

- Priority changed from High to Normal

I also cannot confirm, tested on AM 10.0. Please leave more details.

#3 - 2015-04-26 12:35 PM - Marc Hurst

- File wup12782irrig-b.zip added

- File wup12782groves-a.zip added

Please excuse me for taking so long to reply; I've been out of town.

Exporting shapefiles from QGIS to send to my associates who use ArcMap is a task that I do very commonly; and it has worked very well on several earlier

versions of QGIS, until Version 2.8.1.

The attached shapefile contained in "wup12782groves-a.zip" was exported from QGIS Version 2.8.1 (on a Windows 7 system) by Layer->Save As,

Format ESRI Shapefile, Encoding System. It can be read by QGIS Versions 2.8.1 or 2.4.0; however ArcMap does NOT recognize it.

The attached shapefile contained in "wup12782-b.zip" was made by importing wup12782groves-a into QGIS Version 2.4.0 (on a Debian Linux system);

then exported from QGIS Version 2.4.0 by Layer->Save As, Format ESRI Shapefile, Encoding System. it is readable by ArcMap.

Thank you for taking time to look at this problem. It is essential that we are able to exchange shapefiles with our associates who use ArcMap.
#4 - 2015-04-26 01:39 PM - Giovanni Manghi

The attached shapefile contained in "wup12782groves-a.zip" was exported from QGIS Version 2.8.1 (on a Windows 7 system) by Layer->Save As,

Format ESRI Shapefile, Encoding System. It can be read by QGIS Versions 2.8.1 or 2.4.0; however ArcMap does NOT recognize it.

will do further tests tomorrow, it would be good anyway to understand what "do not recognize it" means exactly. Any specific error message? the features

do not show? else?

#5 - 2015-04-27 03:40 AM - Giovanni Manghi

- Category set to Vectors

The attached shapefile contained in "wup12782groves-a.zip" was exported from QGIS Version 2.8.1 (on a Windows 7 system) by Layer->Save As,

Format ESRI Shapefile, Encoding System. It can be read by QGIS Versions 2.8.1 or 2.4.0; however ArcMap does NOT recognize it.

it opens without issues on AM 10 here. I think this could be a local issue on either your QGIS installation or your associates AM installations but not a

general QGIS issue.

#6 - 2015-04-28 05:38 AM - Marc Hurst

I have not personally seen the error message. I asked my associates for a transcript; but I have not received it.

Yesterday I tested the shapefile on a different installation of ArcMap (10.2.2), which successfully opened the file.

So, of the 4 ArcMap installations that the shapefile has been tested on, 2 can read it and 2 cannot.

I agree, this issue appears to be a problem with some installations of ArcMap, not QGIS. Thank you for your help.

#7 - 2015-04-28 07:51 AM - Marc Hurst

ArcMap gives this error message when it fails to read the shapefile exported by QGIS:

ArcMap Drawing Errors

One or more layers failed to draw:

Lakes: wup12782irrig-areas: General function failure

Apparently, that message can result from many different errors. I checked 2 of the potential problems. The filename does not begin with a number. The

shape geometry is valid. Could a QGIS shapefile export cause an SQL error in ArcMap?

This issue appears to be a problem with some installations of ArcMap, not QGIS. Thank you again for your help.

#8 - 2015-04-29 05:33 AM - Matthias Kuhn

- Resolution set to invalid

- Status changed from Feedback to Closed
Files

wup12782groves-a.zip 5.73 KB 2015-04-26 Marc Hurst

wup12782irrig-b.zip 5.73 KB 2015-04-26 Marc Hurst

2025-04-27 3/3


